/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-05-31
 * 描述            ：横剪计划进程表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Cuttolength.Plan.vo;
import java.io.Serializable;

import market.Mes.Cuttolength.Plan.mapper.PlnClPlanStatisticMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PLN_CL_PLAN_STATISTIC", namespace=PlnClPlanStatisticMapper.class)
public class PlnClPlanStatistic extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/** 
	 * 序列号
	 */ 
	@Id
	private String serial_no;
	public String getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(String serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 横剪计划号
	 */ 
	@Column
	private String cl_plan_no;
	public String getCl_plan_no() {
		return this.cl_plan_no;
	}
	public void setCl_plan_no(String cl_plan_no) {
		this.cl_plan_no = cl_plan_no;
	}

	/** 
	 * 总原料量
	 */ 
	@Column
	private Double mat_planed;
	public Double getMat_planed() {
		return this.mat_planed;
	}
	public void setMat_planed(Double mat_planed) {
		this.mat_planed = mat_planed;
	}

	/** 
	 * 总原料数
	 */ 
	@Column
	private Integer mat_planed_cnt;
	public Integer getMat_planed_cnt() {
		return this.mat_planed_cnt;
	}
	public void setMat_planed_cnt(Integer mat_planed_cnt) {
		this.mat_planed_cnt = mat_planed_cnt;
	}

	/** 
	 * 总成品量
	 */ 
	@Column
	private Double planed;
	public Double getPlaned() {
		return this.planed;
	}
	public void setPlaned(Double planed) {
		this.planed = planed;
	}

	/** 
	 * 总成品数
	 */ 
	@Column
	private Integer planed_cnt;
	public Integer getPlaned_cnt() {
		return this.planed_cnt;
	}
	public void setPlaned_cnt(Integer planed_cnt) {
		this.planed_cnt = planed_cnt;
	}

	/** 
	 * 已横剪_原料量
	 */ 
	@Column
	private Double mat_cl;
	public Double getMat_cl() {
		return this.mat_cl;
	}
	public void setMat_cl(Double mat_cl) {
		this.mat_cl = mat_cl;
	}

	/** 
	 * 已横剪_原料数
	 */ 
	@Column
	private Integer mat_cl_cnt;
	public Integer getMat_cl_cnt() {
		return this.mat_cl_cnt;
	}
	public void setMat_cl_cnt(Integer i) {
		this.mat_cl_cnt = i;
	}

	/** 
	 * 已横剪_成品量
	 */ 
	@Column
	private Double cl;
	public Double getCl() {
		return this.cl;
	}
	public void setCl(Double cl) {
		this.cl = cl;
	}

	/** 
	 * 已横剪_成品数
	 */ 
	@Column
	private Integer cl_cnt;
	public Integer getCl_cnt() {
		return this.cl_cnt;
	}
	public void setCl_cnt(Integer i) {
		this.cl_cnt = i;
	}

	/** 
	 * 剪废_原料量
	 */ 
	@Column
	private Double mat_cl_wasted;
	public Double getMat_cl_wasted() {
		return this.mat_cl_wasted;
	}
	public void setMat_cl_wasted(Double mat_cl_wasted) {
		this.mat_cl_wasted = mat_cl_wasted;
	}

	/** 
	 * 剪废_原料数
	 */ 
	@Column
	private Long mat_cl_wasted_cnt;
	public Long getMat_cl_wasted_cnt() {
		return this.mat_cl_wasted_cnt;
	}
	public void setMat_cl_wasted_cnt(Long mat_cl_wasted_cnt) {
		this.mat_cl_wasted_cnt = mat_cl_wasted_cnt;
	}

	/** 
	 * 剪废_成品量
	 */ 
	@Column
	private Double cl_wasted;
	public Double getCl_wasted() {
		return this.cl_wasted;
	}
	public void setCl_wasted(Double cl_wasted) {
		this.cl_wasted = cl_wasted;
	}

	/** 
	 * 剪废_成品数
	 */ 
	@Column
	private Long cl_wasted_cnt;
	public Long getCl_wasted_cnt() {
		return this.cl_wasted_cnt;
	}
	public void setCl_wasted_cnt(Long cl_wasted_cnt) {
		this.cl_wasted_cnt = cl_wasted_cnt;
	}

	/** 
	 * 横剪脱单_原料量
	 */ 
	@Column
	private Double mat_cl_divorced;
	public Double getMat_cl_divorced() {
		return this.mat_cl_divorced;
	}
	public void setMat_cl_divorced(Double mat_cl_divorced) {
		this.mat_cl_divorced = mat_cl_divorced;
	}

	/** 
	 * 横剪脱单_原料数
	 */ 
	@Column
	private Long mat_cl_divorced_cnt;
	public Long getMat_cl_divorced_cnt() {
		return this.mat_cl_divorced_cnt;
	}
	public void setMat_cl_divorced_cnt(Long mat_cl_divorced_cnt) {
		this.mat_cl_divorced_cnt = mat_cl_divorced_cnt;
	}

	/** 
	 * 横剪充当_原料量
	 */ 
	@Column
	private Double mat_cl_replaced;
	public Double getMat_cl_replaced() {
		return this.mat_cl_replaced;
	}
	public void setMat_cl_replaced(Double mat_cl_replaced) {
		this.mat_cl_replaced = mat_cl_replaced;
	}

	/** 
	 * 横剪充当_原料数
	 */ 
	@Column
	private Long mat_cl_replaced_cnt;
	public Long getMat_cl_replaced_cnt() {
		return this.mat_cl_replaced_cnt;
	}
	public void setMat_cl_replaced_cnt(Long mat_cl_replaced_cnt) {
		this.mat_cl_replaced_cnt = mat_cl_replaced_cnt;
	}

	/** 
	 * 补剪原料重
	 */ 
	@Column
	private Double extra_lw;
	public Double getExtra_lw() {
		return this.extra_lw;
	}
	public void setExtra_lw(Double extra_lw) {
		this.extra_lw = extra_lw;
	}

	/** 
	 * 补剪原料数
	 */ 
	@Column
	private Long extra_cl_cnt;
	public Long getExtra_cl_cnt() {
		return this.extra_cl_cnt;
	}
	public void setExtra_cl_cnt(Long extra_cl_cnt) {
		this.extra_cl_cnt = extra_cl_cnt;
	}

	/** 
	 * 补剪次数
	 */ 
	@Column
	private Long extra_cl_times;
	public Long getExtra_cl_times() {
		return this.extra_cl_times;
	}
	public void setExtra_cl_times(Long extra_cl_times) {
		this.extra_cl_times = extra_cl_times;
	}

	/** 
	 * 成品充当次数
	 */ 
	@Column
	private Long replaced_times;
	public Long getReplaced_times() {
		return this.replaced_times;
	}
	public void setReplaced_times(Long replaced_times) {
		this.replaced_times = replaced_times;
	}

	/** 
	 * 成品脱单次数
	 */ 
	@Column
	private Long divorced_times;
	public Long getDivorced_times() {
		return this.divorced_times;
	}
	public void setDivorced_times(Long divorced_times) {
		this.divorced_times = divorced_times;
	}

}
